Sync bonnie++ 1.96 (main) from Debian testing (main)

Bug #498682 reported by Artur Rona on 2009-12-20
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
bonnie++ (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: bonnie++

 bonnie++ (1.96) unstable; urgency=low

   * Fix a minor bug in setting the GID.
   * Make it build on Solaris by checking for O_DIRECT being defined.
   * The option -n9765 or greater caused the small file test to abort,
     to increase this I changed the number format to hexadecimal and made it
     10 digits. Now any option smaller than -n1073741824 will be OK.
     Thanks Nick Dokos of HP.
   * Updated bon_csv2html, made the machine name span two rows, made the
     concurrency column go away when there's no data, correctly calculated the
     colors of the speed columns (was off by one column before), and calculate
     the CPU colors.

 -- Russell Coker <email address hidden> Sat, 04 Jul 2009 11:24:13 +1000
2008
bonnie++ (1.95) unstable; urgency=low

   * Removed code for building on OS/2, I think that no-one has been interested
     in this for a while.
   * Removed code for building on NT, I don't think that anyone was ever very
     interested in that and it probably didn't work.
   * Patch from Justin Clift to make getc_putc compile on RHEL 5.2.
   * Added the -D option to bonnie++ to use direct IO (O_DIRECT) for bulk IO.
     Thanks to Dave Murch from Violin Memory - http://violin-memory.com/
   * Fixed some more warnings with recent versions of GCC.

 -- Russell Coker <email address hidden> Wed, 31 Dec 2008 08:50:06 +1100
bonnie++ (1.94) unstable; urgency=low

   * Fixed typos in man page.
     Closes: #133714, #449596
   * Added the URL to the man pages.
   * Documented why UID==0 is bad.
     Closes: #182023
   * Check return value of chdir()
   * Removed the zcav -s option which did the same thing as -n.
   * Made zcav report in GiB and MiB/s, and made the default 256MiB.
   * Improved bonnie++.8 documentation of the -y and -p options.
   * Made zcav support skipping blocks for faster completion.
   * Fixed the autoconf checks for 64bit seek.

 -- Russell Coker <email address hidden> Tue, 19 Aug 2008 18:36:08 +1000
2007
bonnie++ (1.93d) unstable; urgency=low

   * Documented the default chunk size in bonnie++.8.

   * Added support for testing write speed to zcav.

   * Made default block size for zcav 200M.

 -- Russell Coker <email address hidden> Mon, 3 Dec 2007 10:18:00 +1100

Artur Rona (ari-tczew) on 2009-12-20
tags: added: sync
Daniel Holbach (dholbach) wrote :

ACKed.

Changed in bonnie++ (Ubuntu):
status: New → Triaged
James Westby (james-w) wrote :

[Updating] bonnie++ (1.03uc+nmu1ubuntu1 [Ubuntu] < 1.96 [Debian])
 * Trying to add bonnie++...
  - <bonnie++_1.96.tar.gz: downloading from http://ftp.debian.org/debian/>
  - <bonnie++_1.96.dsc: downloading from http://ftp.debian.org/debian/>
I: bonnie++ [main] -> bonnie++_1.03uc+nmu1ubuntu1 [main].

Changed in bonnie++ (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers